<template>
<v-container>
  <v-breadcrumbs :items="items" class="pl-0"></v-breadcrumbs>

  <course-title
    title="Pascal и Delphi"
    subtitle="для студентов и школьников"
    :img="require('@/assets/img/delphi.svg')"
    ></course-title>

  <v-carousel
    cycle
    height="300"
    hide-delimiter-background
    show-arrows-on-hover
    >
    <carousel-item title="Студентам">
      Могу помочь с лабораторными и другими работами.
    </carousel-item>
    <carousel-item title="Школьникам">
      Могу помочь с PascalABC (или, прости господи, с Turbo Pascal).
    </carousel-item>
    <carousel-item title="Востребованность over 9000" color="red">
      6 329 вакансий «python»
      <br/>
      vs
      <br/>
      171 вакансия «delphi»
      <br/>
      по данным hh.ru (2021)
    </carousel-item>
  </v-carousel>

  <qa title="С чем можно обращаться">
    <ul class="mb-5">
      <li>Изучение языка с нуля (PascalABC)</li>
      <li>Студенческие работы (Delphi)</li>
    </ul>

    <v-alert type="info" border="left" colored-border>
      <b>Забавный факт.</b> Delphi и Pascal Вам понадобятся только в
      школе и (максимум) в ВУЗе.  В {{ year }} этот язык никто уже не
      использует (разве что при поддержке старых проектов). Такие дела.
    </v-alert>
  </qa>

  <qa title="Стоимость">
    <prices-regular/>

    <stud-lab-note></stud-lab-note>
  </qa>

  <where></where>

</v-container>
</template>

<script>
import { mapState } from 'vuex';
import CarouselItem from '@/common/CarouselItem.vue';

export default {
  metaInfo: {
    title: 'Pascal и Delphi для студентов и школьников',
    meta: [
      { charset: 'utf-8' },
      {
        name: 'description',
        content: 'Школьная и ВУЗовская программа по информатике c PascalABC или Delphi.',
      },
    ],
  },
  computed: {
    remote() {
      return this.repetitor.prices.remote;
    },
    msk() {
      return this.repetitor.prices.msk;
    },
    ...mapState([
      'app',
      'user',
      'repetitor',
    ]),
  },
  components: {
    CarouselItem,
    'prices-regular': () => import('@/common/PricesRegular.vue'),
    qa: () => import('@/common/QA.vue'),
    'stud-lab-note': () => import('@/common/StudLabNote.vue'),
    'course-title': () => import('@/common/CourseTitle.vue'),
    where: () => import('@/common/Where.vue'),
  },
  data: () => ({
    year: (new Date()).getFullYear(),
    items: [
      {
        text: 'Курсы',
        to: '/courses',
        exact: true,
      },
      {
        text: 'Pascal и Delphi',
        to: '/courses/delphi',
      },
    ],
  }),
};
</script>
